org.apache.ignite.internal.processors.platform.events

## Class PlatformLocalEventListener

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.events.PlatformLocalEventListener

All Implemented Interfaces:
  Serializable, IgnitePredicate<Event>

    public class PlatformLocalEventListener
    extends Object
    implements IgnitePredicate<Event>

Platform local event filter. Delegates apply to native platform.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlatformLocalEventListener(int id)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(Event evt)` Predicate body.
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformLocalEventListener

    public PlatformLocalEventListener(int id)

Constructor.

Parameters:
  `id` - Listener id.

### Method Detail

#### apply

    public boolean apply(Event evt)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<Event>`
Parameters:
  `evt` - Predicate parameter.
Returns:
  Return value.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020